| v_sdirx Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_SdiRx Struct Reference

The XSdiRx driver instance data. More...

## Data Fields
XV_SdiRx_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_SdiRx_Callback | StreamDownCallback
| Callback for stream down callback. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_SdiRx_Callback | StreamUpCallback
| Callback for stream up callback. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_SdiRx_Callback | OverFlowCallback
| Callback for Overflow callback. More...
void * | OverFlowRef
| To be passed to the Overflow callback. More...
XV_SdiRx_Callback | UnderFlowCallback
| Callback for Underflow callback. More...
void * | UnderFlowRef
| To be passed to the Underflow callback. More...
XV_SdiRx_Callback | VsyncCallback
| Callback for Vsync callback. More...
void * | VsyncRef
| To be passed to the Vsync callback. More...
XV_SdiRx_Stream | Stream [XV_SDIRX_MAX_DATASTREAM]
| SDI RX stream information. More...

## Detailed Description

The XSdiRx driver instance data.

An instance must be allocated for each SDI RX core in use.

## Field Documentation

XV_SdiRx_Config XV_SdiRx::Config

Hardware Configuration.

Referenced by XV_SdiRx_Axi4sBridgeDisable(), XV_SdiRx_Axi4sBridgeEnable(), XV_SdiRx_CfgInitialize(), XV_SdiRx_ClearYCbCr444_RGB_10bit(), XV_SdiRx_DebugInfo(), XV_SdiRx_EnableMode(), XV_SdiRx_FramerDisable(), XV_SdiRx_FramerEnable(), XV_SdiRx_GetIntrEnable(), XV_SdiRx_GetIntrStatus(), XV_SdiRx_GetPayloadId(), XV_SdiRx_GetSdiMode(), XV_SdiRx_InterruptClear(), XV_SdiRx_IntrDisable(), XV_SdiRx_IntrEnable(), XV_SdiRx_ReportDetectedError(), XV_SdiRx_SelfTest(), XV_SdiRx_SetYCbCr444_RGB_10bit(), XV_SdiRx_Start(), XV_SdiRx_Stop(), XV_SdiRx_VidBridgeDisable(), XV_SdiRx_VidBridgeEnable(), and XV_SdiRx_WaitforPayLoad().

u32 XV_SdiRx::IsReady

Core and the driver instance are initialized.

Referenced by XV_SdiRx_CfgInitialize(), XV_SdiRx_IntrHandler(), and XV_SdiRx_SelfTest().

XV_SdiRx_Callback XV_SdiRx::OverFlowCallback

Callback for Overflow callback.

Referenced by XV_SdiRx_CfgInitialize(), and XV_SdiRx_SetCallback().

void* XV_SdiRx::OverFlowRef

To be passed to the Overflow callback.

Referenced by XV_SdiRx_SetCallback().

XV_SdiRx_Stream XV_SdiRx::Stream[XV_SDIRX_MAX_DATASTREAM]

SDI RX stream information.

Referenced by XV_SdiRx_DebugInfo(), XV_SdiRx_ResetStream(), and XV_SdiRx_WaitforPayLoad().

XV_SdiRx_Callback XV_SdiRx::StreamDownCallback

Callback for stream down callback.

Referenced by XV_SdiRx_CfgInitialize(), and XV_SdiRx_SetCallback().

void* XV_SdiRx::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_SdiRx_SetCallback().

XV_SdiRx_Callback XV_SdiRx::StreamUpCallback

Callback for stream up callback.

Referenced by XV_SdiRx_CfgInitialize(), and XV_SdiRx_SetCallback().

void* XV_SdiRx::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_SdiRx_SetCallback().

XV_SdiRx_Callback XV_SdiRx::UnderFlowCallback

Callback for Underflow callback.

Referenced by XV_SdiRx_CfgInitialize(), and XV_SdiRx_SetCallback().

void* XV_SdiRx::UnderFlowRef

To be passed to the Underflow callback.

Referenced by XV_SdiRx_SetCallback().

XV_SdiRx_Callback XV_SdiRx::VsyncCallback

Callback for Vsync callback.

Referenced by XV_SdiRx_CfgInitialize(), and XV_SdiRx_SetCallback().

void* XV_SdiRx::VsyncRef

To be passed to the Vsync callback.

Referenced by XV_SdiRx_SetCallback().